/* ベーススタイル */

.wp_body p {
	margin: 1em 0;
}

.wp_body p:has(img) {
	margin: 2em 0;
}

.wp_body h2 {
	margin: 3em 0 1em;
	font-weight: 600;
	font-size: var(--fz20);
}

.wp_body h3 {
	margin: 2.5em 0 0.8em;
	font-weight: 600;
	font-size: var(--fz18);
}

.wp_body h4 {
	margin: 2em 0 0.8em;
	font-weight: 600;
	font-size: var(--fz16);
}

.wp_body a {
	display: inline;
	background-image: linear-gradient(currentColor, currentColor);
	background-position: left bottom;
	background-size: 100% 1px;
	background-repeat: no-repeat;
	text-decoration: none;
	transition: background-size var(--duration-base) var(--ease-out);
}

.wp_body a:hover {
	background-position: right bottom;
	background-size: 0 1px;
}

.wp_body img {
	max-width: 100%;
	height: auto;
}

.wp_body strong {
	font-weight: bold;
}

.wp_body ul {
	list-style: disc;
	margin: 0.8em 0;
	padding-left: 30px;
}

.wp_body ol {
	margin: 0.8em 0;
	padding-left: 30px;
}

.wp_body .aligncenter {
	display: block;
	margin: 0.5em auto;
}

.wp_body .alignleft {
	float: left;
	margin: 0 1em 0.5em 0;
}

.wp_body .alignright {
	float: right;
	margin: 0 0 0.5em 1em;
}

.wp_body .wp-caption {
	margin: 10px;
	padding-top: 4px;
	border: 1px solid #dddddd;
	        border-radius: 3px;
	background-color: #f3f3f3;
	text-align: center;

	   -moz-border-radius: 3px;
	 -khtml-border-radius: 3px;
	-webkit-border-radius: 3px;
}

.wp_body .wp-caption img {
	margin: 0;
	padding: 0;
	border: 0 none;
}

.wp_body .wp-caption-dd {
	margin: 0;
	padding: 0 4px 5px;
	font-size: 11px;
	line-height: 17px;
}

@media screen and (max-width: 767.98px) {
	.wp_body h2 {
		margin: 2em 0 0.8em;
		font-size: var(--fz18);
	}

	.wp_body h3 {
		margin: 1.8em 0 0.6em;
		font-size: var(--fz16);
	}

	.wp_body h4 {
		margin: 1.5em 0 0.6em;
		font-size: var(--fz15);
	}

	.wp_body p:has(img) {
		margin: 1.5em 0;
	}

	.wp_body ul,
	.wp_body ol {
		padding-left: 20px;
	}

	.wp_body .alignleft,
	.wp_body .alignright {
		float: none;
		display: block;
		margin: 0.5em auto;
	}
}
